#
# Table structure for table `newassignment`
#

CREATE TABLE `prefix_newassignment` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `course` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `format` tinyint(2) unsigned NOT NULL default '0',
  `resubmit` tinyint(2) unsigned NOT NULL default '0',
  `type` int(10) unsigned NOT NULL default '1',
  `maxbytes` int(10) unsigned NOT NULL default '100000',
  `timedue` int(10) unsigned NOT NULL default '0',
  `grade` int(10) NOT NULL default '0',
  `viewall` tinyint(2) unsigned NOT NULL default '0',
  `timemodified` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) COMMENT='Defines newassignments';
# --------------------------------------------------------

#
# Table structure for table `newassignment_submissions`
#

CREATE TABLE `prefix_newassignment_submissions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `newassignment` int(10) unsigned NOT NULL default '0',
  `userid` int(10) unsigned NOT NULL default '0',
  `timecreated` int(10) unsigned NOT NULL default '0',
  `timemodified` int(10) unsigned NOT NULL default '0',
  `numfiles` int(10) unsigned NOT NULL default '0',
  `grade` int(11) NOT NULL default '0',
  `comment` text NOT NULL,
  `teacher` int(10) unsigned NOT NULL default '0',
  `timemarked` int(10) unsigned NOT NULL default '0',
  `feedbackfile` tinyint(2) unsigned NOT NULL default '0',
  `feedbackfileteacher` int(10) unsigned NOT NULL default '0',
  `feedbacktimeuploaded` int(10) unsigned NOT NULL default '0',
  `mailed` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) COMMENT='Info about submitted newassignments';
# --------------------------------------------------------


INSERT INTO prefix_log_display VALUES ('newassignment', 'view', 'newassignment', 'name');
INSERT INTO prefix_log_display VALUES ('newassignment', 'add', 'newassignment', 'name');
INSERT INTO prefix_log_display VALUES ('newassignment', 'update', 'newassignment', 'name');
INSERT INTO prefix_log_display VALUES ('newassignment', 'view submissions', 'newassignment', 'name');
INSERT INTO prefix_log_display VALUES ('newassignment', 'upload', 'newassignment', 'name');

