<?PHP  // $Id: feedbackupl.php,v 1.3 2004/11/24 10:28:13 mixik Exp $

    require_once("../../config.php");
    require_once("lib.php");

    optional_variable($id);    // Course Module ID
    optional_variable($a);    // newassignment ID

    if (! $newassignment = get_record("newassignment", "id", $id)) {
        error("Course module is incorrect");
    }
    if (! $course = get_record("course", "id", $newassignment->course)) {
        error("Course is misconfigured");
    }
    if (! $cm = get_coursemodule_from_instance("newassignment", $newassignment->id, $course->id)) {
        error("Course Module ID was incorrect");
    }

    require_login($course->id);

    if (!isteacher($course->id)) {
        error("Only teachers can look at this page");
    }


    add_to_log($course->id, "newassignment", "feedback", "submissions.php?id=$cm->id", "$newassignment->id");

    $strnewassignments = get_string("modulenameplural", "newassignment");
    $strnewassignment  = get_string("modulename", "newassignment");

	print_header("$course->shortname: $newassignment->name", "$course->fullname: ".get_string("uploadfeedbackfile", "newassignment"), "", 
                  "", "", true, "", "");

	newassignment_print_feedback_upload_form($newassignment, $studentid, $USER->id);
	echo "\n</body>\n</html>";

?>