<?PHP  // $Id: upload.php,v 1.4 2004/11/24 11:29:28 mixik Exp $
       //Based on upload.php of the assignment module 

    require_once("../../config.php");
    require_once("lib.php");

    require_variable($id);          // newassignment ID
    optional_variable($feedbackfile,"");   // when normal user files are uploaded

    if (!empty($_FILES['newfile'])) {
        $newfile = $_FILES['newfile'];
    }

    if (! $newassignment = get_record("newassignment", "id", $id)) {
        error("Not a valid newassignment ID");
    }

    if (! $course = get_record("course", "id", $newassignment->course)) {
        error("Course is misconfigured");
    }

    require_login($course->id);

	if ($feedbackfile==true) {
		add_to_log($course->id, "newassignment", "upload feedback", "view.php?a=$newassignment->id", "$newassignment->id");
	} else {
		add_to_log($course->id, "newassignment", "upload", "view.php?a=$newassignment->id", "$newassignment->id");
	}


    if ($course->category) {
        $navigation = "<A HREF=\"../../course/view.php?id=$course->id\">$course->shortname</A> ->";
    }
    $strnewassignments = get_string("modulenameplural", "newassignment");
    $strnewassignment  = get_string("modulename", "newassignment");
    $strupload      = get_string("upload");


	if ($feedbackfile==true) {
		print_header("$course->shortname: $newassignment->name", "$course->fullname: ".get_string("uploadfeedbackfile", "newassignment"),
		             "", "", "", true, "", "");
	    $submission = get_record("newassignment_submissions", "newassignment", $newassignment->id, "userid", $studentid);
	} else {
		print_header("$course->shortname: $newassignment->name : $strupload", "$course->fullname",
                     "$navigation <A HREF=index.php?id=$course->id>$strnewassignments</A> -> 
                      <A HREF=\"view.php?a=$newassignment->id\">$newassignment->name</A> -> $strupload", 
                      "", "", true);

	    if ($submission = get_record("newassignment_submissions", "newassignment", $newassignment->id, "userid", $USER->id)) {
	        if ($submission->grade and !$newassignment->resubmit) {
	            error("You've already been graded - there's no point in uploading anything");
	        }
	    }
	}


	if ($feedbackfile==true) {
	    if (! $dir = newassignment_feedback_file_area($newassignment, $studentid, $USER)) {
	        	error("Sorry, an error in the system prevents you from uploading files: contact your teacher or system administrator");
		}
	} else {
	    if (! $dir = newassignment_file_area($newassignment, $USER)) {
	        error("Sorry, an error in the system prevents you from uploading files: contact your teacher or system administrator");
	    }
	}


    if (empty($newfile)) {
        notify(get_string("uploadnofilefound", "newassignment") );

    } else if (is_uploaded_file($newfile['tmp_name']) and $newfile['size'] > 0) {
        if ($newfile['size'] > $newassignment->maxbytes) {
            notify(get_string("uploadfiletoobig", "newassignment", $newassignment->maxbytes));
        } else {
            $newfile_name = clean_filename($newfile['name']);
            if ($newfile_name) {
                if (move_uploaded_file($newfile['tmp_name'], "$dir/$newfile_name")) {
                    chmod("$dir/$newfile_name", $CFG->directorypermissions);
					if ($feedbackfile==true) {
                    	newassignment_delete_feedback_files($newassignment, $studentid, $USER, $newfile_name);
					} else {
						newassignment_delete_user_files($newassignment, $USER, $newfile_name);
					}
                    if ($submission and $feedbackfile==true) {
                        $submission->feedbackfile     	  = 1;
                        $submission->feedbackfileteacher  = $USER->id;
                        $submission->feedbacktimeuploaded = time();
						$submission->mailed = 0;
                        if (update_record("newassignment_submissions", $submission)) {
                            print_heading(get_string("uploadsuccess", "newassignment", $newfile_name) );
                        } else {
                            notify(get_string("uploadfailnoupdate", "newassignment"));
                        }
					} elseif ($submission) {
                        $submission->timemodified = time();
                        $submission->numfiles     = 1;
                        $submission->comment = addslashes($submission->comment);
                        if (update_record("newassignment_submissions", $submission)) {
                            print_heading(get_string("uploadsuccess", "newassignment", $newfile_name) );
                        } else {
                            notify(get_string("uploadfailnoupdate", "newassignment"));
                        }
                    } else {
                        $newsubmission->newassignment   = $newassignment->id;
                        $newsubmission->userid       = $USER->id;
                        $newsubmission->timecreated  = time();
                        $newsubmission->timemodified = time();
                        $newsubmission->numfiles     = 1;
                        if (insert_record("newassignment_submissions", $newsubmission)) {
                            print_heading(get_string("uploadsuccess", "newassignment", $newfile_name) );
                        } else {
                            notify(get_string("uploadnotregistered", "newassignment", $newfile_name) );
                        }
                    }
                } else {
                    notify(get_string("uploaderror", "newassignment") );
                }
            } else {
                notify(get_string("uploadbadname", "newassignment") );
            }
        }
    } else {
        notify(get_string("uploadnofilefound", "newassignment") );
    }
    
	if ($feedbackfile==true) {
		newassignment_print_close("");
	} else {
	    print_continue("view.php?a=$newassignment->id");
	    print_footer($course);
	}
?>